# $Revision: 1.23 $, $Date: 2006/04/18 15:05:04 $
%define		file_version	%(echo %{version} | tr -d .)
Summary:	Troubles of Middle Earth - a roguelike game
Summary(pl):	Gra roguelike "Troubles of Middle Earth"
Name:		tome
Version:	2.2.5
Release:	3
License:	distributable
Group:		Applications/Games
Source0:	http://t-o-m-e.net/dl/src/%{name}-%{file_version}-src.tgz
# Source0-md5:	b1a340a6092fd53b07be9d107b16e16b
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-paths.patch
URL:		http://www.t-o-m-e.net/
BuildRequires:	ncurses-devel
Conflicts:	applnk < 1.5.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Troubles of Middle Earth (formerly PernAngband) is a complex roguelike
game based on the world created by JRR Tolkien. ToME is one of many
Angband variants.

%description -l pl
"Troubles of Middle Earth" (dawniej PernAngband) to rozbudowana gra
roguelike osadzona w wiecie stworzonym przez JRR Tolkiena. ToME jest
jednym z wielu dostpnych wariantw Angbandu.

%prep
%setup -q -n %{name}-%{file_version}-src
%patch0 -p1
%patch1 -p1

%build
# Only build ncurses version (see makefile patch), because I didn't
# manage to build any other working version
cd src
%{__make} -f makefile.std \
	COPTS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/games/tome/{cmov,dngn,edit,file,help,info,note,pref,scpt,user,mods},/var/games/tome/{apex,save,data,bone},%{_pixmapsdir},%{_desktopdir}}

install -D src/tome $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -r lib/{cmov,core,dngn,edit,file,help,info,note,pref,scpt,user,mods,module.lua} $RPM_BUILD_ROOT%{_datadir}/games/tome
# do not copy placeholders; bones are unnecessary
#cp -r lib/{apex,save,data} $RPM_BUILD_ROOT/var/games/tome

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *.txt
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/games/tome
%attr(775,root,games) /var/games/tome
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tome.spec,v $
Revision 1.23  2006/04/18 15:05:04  ankry
- rel. 3

Revision 1.22  2004/10/29 13:47:41  paladine
- spelling fixes

Revision 1.21  2004/07/04 22:03:03  adamg
- release 2 (fixed desktop file)

Revision 1.20  2004/03/08 13:25:25  gotar
- _applnkdir -> _desktopdir

Revision 1.19  2004/01/17 01:35:32  undefine
- doc... works :>

Revision 1.18  2004/01/17 01:22:11  undefine
- move binary to /usr/bin, more files... nfy

Revision 1.17  2004/01/16 21:36:14  undefine
- update to 2.2.5

Revision 1.16  2003/09/25 22:48:11  gotar
- Conflicts: applnk < 1.5.13

Revision 1.15  2003/09/25 18:14:51  gotar
- do not require applnk, programs _using_ %{_applnk}/* do require it.

Revision 1.14  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.13  2003/05/28 13:02:18  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/12/15 17:09:45  migo
- updated to version 2.1.0

Revision 1.10  2002/11/06 11:10:46  ankry
- moved desktop (from Games/Roguelike to Games/RPG), rel. 2

Revision 1.9  2002/10/29 22:09:34  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.8  2002/08/28 10:41:25  migo
- updated to version 200

Revision 1.7  2002/08/18 12:26:19  blues
- release 4 - license fix

Revision 1.6  2002/05/14 16:09:15  migo
- removed BR: textutils, my rpm-build was too old...

Revision 1.5  2002/05/14 15:44:17  wolf
- moved bones to /var... (what's about other empty dirs; have to investigate)
- changed bindir to /usr/games
- use proper cc and optimalization
- release 3

Revision 1.4  2002/05/13 10:05:24  migo
- tome.desktop is now separate file
- release 2, STBR?

Revision 1.3  2002/05/13 09:54:59  migo
- moved executable from /usr/games to %{_bindir}
- BR: textutils
- do not use 'make install'
- added tome-paths.patch, tome is now aware of /var/games/tome dir

Revision 1.2  2002/05/12 16:36:35  wolf
- added icon and desktop file

Revision 1.1  2002/05/09 08:27:50  migo
- from scratch, not very clean, but it works for me(tm)

